Package ghidra.app.util.bin.format.xcoff

# Class XCoffSectionHeaderFlags

java.lang.Object
ghidra.app.util.bin.format.xcoff.XCoffSectionHeaderFlags

public final class XCoffSectionHeaderFlags extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STYP_BSS`
  `static final int`
  `STYP_DATA`
  `static final int`
  `STYP_DEBUG`
  `static final int`
  `STYP_EXCEPT`
  `static final int`
  `STYP_INFO`
  `static final int`
  `STYP_LOADER`
  `static final int`
  `STYP_OVRFLO`
  `static final int`
  `STYP_PAD`
  `static final int`
  `STYP_TEXT`
  `static final int`
  `STYP_TYPCHK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCoffSectionHeaderFlags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STYP_PAD

    public static final int STYP_PAD
    See Also:
      - Constant Field Values

  - ### STYP_TEXT

    public static final int STYP_TEXT
    See Also:
      - Constant Field Values

  - ### STYP_DATA

    public static final int STYP_DATA
    See Also:
      - Constant Field Values

  - ### STYP_BSS

    public static final int STYP_BSS
    See Also:
      - Constant Field Values

  - ### STYP_EXCEPT

    public static final int STYP_EXCEPT
    See Also:
      - Constant Field Values

  - ### STYP_INFO

    public static final int STYP_INFO
    See Also:
      - Constant Field Values

  - ### STYP_LOADER

    public static final int STYP_LOADER
    See Also:
      - Constant Field Values

  - ### STYP_DEBUG

    public static final int STYP_DEBUG
    See Also:
      - Constant Field Values

  - ### STYP_TYPCHK

    public static final int STYP_TYPCHK
    See Also:
      - Constant Field Values

  - ### STYP_OVRFLO

    public static final int STYP_OVRFLO
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XCoffSectionHeaderFlags

    public XCoffSectionHeaderFlags()